Name:           ruff
Version:        0.6.5
Release:        %autorelease
Summary:        An extremely fast Python linter, written in Rust

License:        MIT
URL:            https://github.com/charliermarsh/ruff
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  rust-packaging
BuildRequires:  python3-devel

%description
%{summary}.

%prep
%autosetup
sed '/strip/d' -i pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -t

%build
export RUSTFLAGS="%{build_rustflags}"
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ruff
%{buildroot}%{_bindir}/ruff --generate-shell-completion bash | install -Dm0644 /dev/stdin %{buildroot}%{bash_completions_dir}/%{name}.bash
%{buildroot}%{_bindir}/ruff --generate-shell-completion fish | install -Dm0644 /dev/stdin %{buildroot}%{fish_completions_dir}/%{name}.fish
%{buildroot}%{_bindir}/ruff --generate-shell-completion zsh  | install -Dm0644 /dev/stdin %{buildroot}%{zsh_completions_dir}/_%{name}

%check
%tox

%files -f %{pyproject_files}
%doc README.md
%{_bindir}/ruff
%{bash_completions_dir}/%{name}.bash
%{fish_completions_dir}/%{name}.fish
%{zsh_completions_dir}/_%{name}

%changelog
%autochangelog
